Vulnerability   
Search   
    Search 191973 CVE descriptions
and 86218 test descriptions,
access 10,000+ cross references.
Tests   CVE   All  

Test ID:1.3.6.1.4.1.25623.1.0.853483
Category:SuSE Local Security Checks
Title:openSUSE: Security Advisory for nodejs12 (openSUSE-SU-2020:1616-1)
Summary:The remote host is missing an update for the 'nodejs12'; package(s) announced via the openSUSE-SU-2020:1616-1 advisory.
Description:Summary:
The remote host is missing an update for the 'nodejs12'
package(s) announced via the openSUSE-SU-2020:1616-1 advisory.

Vulnerability Insight:
This update for nodejs12 fixes the following issues:

- nodejs12 was updated to 12.18.4 LTS:

- CVE-2020-8201: Fixed an HTTP Request Smuggling due to CR-to-Hyphen
conversion (bsc#1176605).

- CVE-2020-8252: Fixed a buffer overflow in realpath (bsc#1176589).

- CVE-2020-15095: Fixed an information leak through log files
(bsc#1173937).

- Explicitly add -fno-strict-aliasing to CFLAGS to fix compilation
on Aarch64 with gcc10 (bsc#1172686)

This update was imported from the SUSE:SLE-15-SP2:Update update project.


Patch Instructions:

To install this openSUSE Security Update use the SUSE recommended
installation methods
like YaST online_update or 'zypper patch'.

Alternatively you can run the command listed for your product:

- openSUSE Leap 15.2:

zypper in -t patch openSUSE-2020-1616=1

Affected Software/OS:
'nodejs12' package(s) on openSUSE Leap 15.2.

Solution:
Please install the updated package(s).

CVSS Score:
5.8

CVSS Vector:
AV:N/AC:M/Au:N/C:P/I:P/A:N

Cross-Ref: Common Vulnerability Exposure (CVE) ID: CVE-2020-8201
https://hackerone.com/reports/922597
https://nodejs.org/en/blog/vulnerability/september-2020-security-releases/
SuSE Security Announcement: openSUSE-SU-2020:1616 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00011.html
Common Vulnerability Exposure (CVE) ID: CVE-2020-8252
https://security.gentoo.org/glsa/202009-15
https://hackerone.com/reports/965914
SuSE Security Announcement: openSUSE-SU-2020:1660 (Google Search)
http://lists.opensuse.org/opensuse-security-announce/2020-10/msg00023.html
https://usn.ubuntu.com/4548-1/
CopyrightCopyright (C) 2020 Greenbone Networks GmbH

This is only one of 86218 vulnerability tests in our test suite. Find out more about running a complete security audit.

To run a free test of this vulnerability against your system, register below.




© 1998-2020 E-Soft Inc. All rights reserved.